curl --request PUT \
--url https://api.tread-horizon.com/v1/orders/{order-id}/default_sites/{waypoint-type}/{site-id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"lat": "<string>",
"lon": "<string>",
"full_address": "<string>",
"routable": true,
"discarded_at": "2023-11-07T05:31:56Z",
"address": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"thoroughfare": "<string>",
"premise": "<string>",
"locality": "<string>",
"administrative_area": "<string>",
"postal_code": "<string>",
"country": "US",
"lat": "<string>",
"lon": "<string>",
"place_id": "<string>"
},
"next_billion_geofence": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"geofence": {
"name": "<string>",
"type": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"geojson": {
"type": "<string>",
"coordinates": [
[
[
"<unknown>"
]
]
]
},
"circle_center": {
"lat": 123,
"lon": 123
},
"circle_radius": 123,
"tag": "pickup"
},
"moving_geofence": false,
"tag": "scaling",
"geofence_type": "moving"
}
}
}Add a Site to the default_site list for an Order, given a particular ‘WaypointType’.
Note: The underlying site grouping will be created automatically when the first site is added for a given order.
curl --request PUT \
--url https://api.tread-horizon.com/v1/orders/{order-id}/default_sites/{waypoint-type}/{site-id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"lat": "<string>",
"lon": "<string>",
"full_address": "<string>",
"routable": true,
"discarded_at": "2023-11-07T05:31:56Z",
"address": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"thoroughfare": "<string>",
"premise": "<string>",
"locality": "<string>",
"administrative_area": "<string>",
"postal_code": "<string>",
"country": "US",
"lat": "<string>",
"lon": "<string>",
"place_id": "<string>"
},
"next_billion_geofence": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"geofence": {
"name": "<string>",
"type": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"geojson": {
"type": "<string>",
"coordinates": [
[
[
"<unknown>"
]
]
]
},
"circle_center": {
"lat": 123,
"lon": 123
},
"circle_radius": 123,
"tag": "pickup"
},
"moving_geofence": false,
"tag": "scaling",
"geofence_type": "moving"
}
}
}Documentation Index
Fetch the complete documentation index at: https://docs.tread.ai/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.
"en"
Order id
Waypoint type
pickup, drop_off Site id
OK
Show child attributes